Subject: Re: bug#74554: 31.0.50; [PATCH] gnus: fix logo color customization

From: Trevor Arjeski <[email-masked]>
Date: Wed, 12 Feb 2025 07:42:13 +0300

Stefan Kangas <[email-masked]> writes:

> Version: 31.1
>
> Andrew Cohen <[email-masked]> writes:
>
>>>>>>> "SK" == Stefan Kangas <[email-masked]> writes:
>>
>>     SK> Trevor Arjeski <[email-masked]> writes:
>>     >> 1. Add the following code to an init.el:
>>     >>
>>     >> (use-package gnus :ensure nil :custom (gnus-logo-color-style
>>     >> 'neutral))
>>     >>
>>     >> 2. Start emacs, M-x gnus, and notice that the logo does not
>>     >> change to the neutral gray colors.
>>     >>
>>     >> This does not seem to happen when using the Customization
>>     >> interface which puts `custom-set-variables' in your init.el:
>>     >>
>>     >> (custom-set-variables '(gnus-logo-color-style 'neutral))
>>     >>
>>     >>
>>     >> I'm not sure if this is related to use-package's :custom keyword,
>>     >> but I have not come across this issue while using any other
>>     >> built-in emacs packages.
>>     >>
>>     >> Please see the attached patch file for a possible fix and minor
>>     >> improvement.
>>     >>
>>     >> Thanks, Trevor
>>
>>     SK> Andrew, Eric, could you please help review this patch?
>>
>> Looks OK to me.
>> --
>> Andrew Cohen
>
> Thanks, installed on master with a ChangeLog entry as per CONTRIBUTE,
> and a touched up commit message.  See commit 77d0078a6c5.
>
> Trevor, it seems like we have reached the limit of the amount of code we
> can accept from you without a copyright assignment.  If you plan to
> contribute more patches in the future, it would be a good idea to get
> the copyright assignment process started now.  Please let us know if you
> want to do that, and we can help you get started.

Hi Stefan,

I actually applied for copyright assignment already and I have signed
and submitted a few weeks ago. Just waiting the FSF's signature and
response.

Thanks,
Trevor